/**
 * Javier Abelln. 6 Abril 2006
 * 
 * Librera grfica
 */


package chuidiang.graficos;

/**
 * Interface para modificar las clases EscalaGrafica.<br>
 *
 */
public interface InterfaceZoomable
{
   //~ Metodos -----------------------------------------------------------------

   /**
    * Acercar el grfico un porcentaje, en tanto por 100.<br>
    *
    * @param porcentaje tanto por 100.<br>
    */
   public void acercar( double porcentaje );

   /**
    * Alejar el grfico un porcentaje, en tanto por 100.<br>
    *
    * @param porcentaje tanto por 100.<br>
    */
   public void alejar( double porcentaje );

   /**
    * Mueve el grfico de forma que el origen de coordenadas quede en la nueva
    * posicin que se le indica.<br>
    *
    * @param nuevaX Nueva x para el origen de coordenadas.<br>
    * @param nuevaY Nueva y para el origen de coordenadas.<br>
    */
   public void desplazar(
		   double viejaX,
		   double viejaY,
      double nuevaX,
      double nuevaY );
}
