/**
 * Javier Abelln. 6 Abril 2006
 * 
 * Librera grfica
 */


package chuidiang.graficos;

/**
 * Observador de cambio de coordenadas de usuario en una EscalaGrafica.
 */
public interface ObservadorEscalaGrafica
{
    
    /**
     * Se llamar a este mtodo cuando cambien las coordenadas de usuario de una
     * EscalaGrafica.
     * 
     * @param xMin x minima en coordenadas de usuario para el grfico
     * @param yMin la y mnima
     * @param xMax la x mxima
     * @param yMax la y mxima
     */
    public void tomaNuevosExtremos(double xMin, double yMin, double xMax,
            double yMax);
}
